Show Menu
SUJETS×

Paramétrages spécifiques v6.02

La section suivante décrit le paramétrage supplémentaire à effectuer lorsque vous migrez depuis une v6.02. Vous devez également effectuer le paramétrage décrit dans la section Paramétrages généraux .

Des applications web

Si vous migrez depuis une v6.02, des logs d'erreur peuvent apparaître concernant des applications web de type vues d'ensemble (overview). Exemples de messages d'erreur :
[PU-0006] Entity of type : 'xtk:entityBackupNew' and Id 'nms:webApp|taskOverview', expression '[SQLDATA[' was found : '...)) or (@id IN ([SQLDATA[select 
[PU-0006] Entity of type : 'xtk:formDictionary' and Id 'nms:webApp|lastTasks', expression '[SQLDATA[' was found : '...)) or (@id IN ([SQLDATA[select 
[PU-0006] Entity of type : 'nms:webApp' and Id 'taskOverview', expression '[SQLDATA[' was found : '...@owner-id] IN ([SQLDATA[select iGroupid...'. (iRc=-1)

Ces applications web utilisaient du SQLData et ne sont plus compatibles avec la v7, en raison du renforcement de la sécurité. Ces erreurs entraineront un échec de migration.
Si vous n'utilisiez pas ces applications web, exécutez le script de nettoyage suivant et relancez le postupgrade :
Nlserver javascript -instance:[instance_name] -file [installation_path]/datakit/xtk/fra/js/removeOldWebApp.js

Si vous aviez modifié ces applications web et souhaitez continuer à les utiliser en v7, vous devez activer l'option allowSQLInjection dans vos différentes zones de sécurité et relancer le postupgrade. Consultez la section SQLData pour en savoir plus.

Ergonomie : page d’accueil et navigation

Si vous souhaitez continuer à utiliser des applications web v6.02 de type Vues d'ensemble, vous devez activer l'option allowSQLInjection dans vos différentes zones de sécurité avant le postupgrade. Voir à ce sujet la section Applications Web .
Après une migration depuis la version v6.02, la page d'accueil d'Adobe Campaign v6.02 n'est plus affichée, mais reste accessible et compatible avec Adobe Campaign v7.
Pour continuer à utiliser la page d'accueil v6.02, vous devez installer un package de "compatibilité" après la migration.
Pour cela, importez le package de compatibilité :
Cliquez sur le menu Outils > Avancé > Import de package et choisissez le package campaignMigration.xml dans le dossier \nl\datakit\nms\[Your language]\package\optional .
Pour permettre l'accès aux interfaces de type Applications web v6.02, l'option sessionTokenOnly des paramètres du serveur doit être activée, dans le fichier serverConf.xml  :
sessionTokenOnly="true"

Cette option altère les niveaux de sécurité pour assurer la compatibilité des interfaces.
Une fois le package installé, la page d'accueil d'Adobe Campaign v7 est remplacée par votre ancienne page d'accueil v6.02, complétée des paramètres généraux de la v7 (bandeau bleu de navigation).
Tous les liens de cette page d'accueil pointent vers les écrans v7, à l'exception des listes ( liste des opérations , tracking des diffusions dans les opérations , etc.) qui renvoient à la présentation v6.02 (applications Web).
Si vous souhaitez ajouter une autre vue d'ensemble paramétrée en v6.02, vous devez l'ajouter sur la page d'accueil à partir des tableaux de bord ( Administration > Gestion des accès > Tableaux de bord ).
N'oubliez pas de déconnecter puis reconnecter la console pour que les modifications soient prises en compte.

Message Center

Après une migration d'une instance de pilotage Message Center, vous devez republier les modèles de messages transactionnels pour que ceux-ci fonctionnent.
Dans la v7, les noms des modèles de messages transactionnels sur les instances d'exécution ont changé. Ils sont précédés du nom de l'opérateur qui correspond à l'instance de pilotage sur laquelle ils sont créés, par exemple control1_template1_rt (où control1 est le nom de l'opérateur). Si vous disposez d'un volume important de modèles, nous vous recommandons de supprimer les anciens sur les instances de pilotage.